%define fname		semantic
%define name		emacs-%{fname}
%define version		1.4
%define release		2mdk
%define eieiodir	%{_datadir}/emacs/site-lisp/eieio
%define speedbardir	%{_datadir}/emacs/site-lisp/speedbar
%define semanticdir	%{_datadir}/emacs/site-lisp/semantic

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Semantic Bovinator
Requires:	emacs >= 20.7
License:	GPL
URL:		http://sourceforge.net/projects/cedet/
Source:		http://unc.dl.sourceforge.net/sourceforge/cedet/%{fname}-%{version}.tar.bz2
Group:		Editors
Obsoletes:	semantic
Provides:	semantic = %version-%release
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
Requires:	emacs-eieio emacs-speedbar
BuildRequires:	emacs-bin emacs-eieio emacs-speedbar

%description
The Semantic Bovinator is a lexer, parser-generator, and parser. It is
written in Emacs Lisp and is customized to the way Emacs thinks about
language files, and is optimized to use Emacs' parsing capabilities.

The Semantic Bovinator's goal is to provide an intermediate API for
authors of language agnostic tools who want to deal with languages in a
generic way. It also provides a simple way for Mode Authors who are
expert's in their language, to provide a parser for those tool authors,
without knowing anything about those tools.

%prep
%setup -q -n %fname-%version

%build
make LOADPATH="%{eieiodir} %{speedbardir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{fname}
install -d $RPM_BUILD_ROOT{%{semanticdir},%{_infodir}}

install -m 644 *.el *.elc $RPM_BUILD_ROOT%{semanticdir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{fname}.info

%postun
%_remove_install_info %{fname}.info

%files
%defattr (-, root, root)
%doc ChangeLog INSTALL NEWS
%{semanticdir}
%{_infodir}/*info*

%changelog
* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4-1mdk
- contributed by David Walluck <david@anti-microsoft.org>
